<?php
require_once('../data_classes/server-data.php_data_classes-core.php.php');
require_once('../data_classes/server-data.php_data_classes-session.php.php');
$name = $_POST['horseName'];
$razex = $_POST['horseRAZE'];
$filter = preg_replace("/[^a-z\d\-=\?!@:\.]/i", " ", $name);
$prezzo = '20';
if(!$_POST){
exit;
}

if($_POST['horseName'] == ''){
echo '<font color="red">El nombre es inválido. Solo puedes usar caracteres alfanuméricos de 4 a 32</font>';
}		
elseif($filter !== $name){
			 echo '<font color="red">Por favor, quita los signos de el nombre </font>';	
		}elseif(strlen($name) > 15){
			 echo '<font color="red">Por favor, introduce un nombre válido </font>';	
		}elseif(strlen($name) < 3){
		 echo '<font color="red">Por favor, introduce un nombre válido  </font>';	
		}
elseif($myrow['vip_points'] >= $prezzo){
$cambio = $myrow['vip_points'] - $prezzo;
echo '<font color="green">Lo has comprado con exito.</br>Ahora tienes: '. $cambio .' caracolas, en este momento se reiniciara tu client para evitar errores.</font>';
mysql_query("UPDATE users SET credits = credits - '". $prezzo ."' WHERE id = '". $my_id ."'");
mysql_query("INSERT INTO `user_pets` (`user_id`, `room_id`, `name`, `race`, `color`, `type`, `expirience`, `energy`, `nutrition`, `respect`, `createstamp`, `x`, `y`, `z`) VALUES ('".$my_id."', '0', '". $name ."', '".$razex."', 'FFFFFF', '13', '20', '100', '100', '0', '".time()."', '0', '0', '0')");
SendMUS("updatepoints", $my_id);
SendMUS("signout", $my_id);
}
elseif($myrow['vip_points'] <= $prezzo + '1'){
echo '<font color="red">No tienes suficientes caracolas. </font>';
}

else{
echo '<font color="red">Ha ocurrido un error, por favor intentalo más tarde </font>';
}
?>